<?php
/**
 * Guru appearance settings.
 *
 * @package Guru
 * @author  Appfinite
 * @license GPL-2.0-or-later
 * @link    https://www.appfinite.com/
 */

$guru_default_colors = [
	'link'   => '#1194ff',
	'accent' => '#1194ff',
];

$guru_link_color = get_theme_mod(
	'guru_link_color',
	$guru_default_colors['link']
);

$guru_accent_color = get_theme_mod(
	'guru_accent_color',
	$guru_default_colors['accent']
);

$guru_link_color_contrast   = guru_color_contrast( $guru_link_color );
$guru_link_color_brightness = guru_color_brightness( $guru_link_color, 35 );

return [
	'fonts-url'            => 'https://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700&display=swap',
	'content-width'        => 1062,
	'button-bg'            => $guru_link_color,
	'button-color'         => $guru_link_color_contrast,
	'button-outline-hover' => $guru_link_color_brightness,
	'link-color'           => $guru_link_color,
	'default-colors'       => $guru_default_colors,
	'editor-color-palette' => [
		[
			'name'  => __( 'Custom color', 'guru' ), // Called “Link Color” in the Customizer options. Renamed because “Link Color” implies it can only be used for links.
			'slug'  => 'theme-primary',
			'color' => $guru_link_color,
		],
		[
			'name'  => __( 'Accent color', 'guru' ),
			'slug'  => 'theme-secondary',
			'color' => $guru_accent_color,
		],
	],
	'editor-font-sizes'    => [
		[
			'name' => __( 'Small', 'guru' ),
			'size' => 12,
			'slug' => 'small',
		],
		[
			'name' => __( 'Normal', 'guru' ),
			'size' => 18,
			'slug' => 'normal',
		],
		[
			'name' => __( 'Large', 'guru' ),
			'size' => 20,
			'slug' => 'large',
		],
		[
			'name' => __( 'Larger', 'guru' ),
			'size' => 24,
			'slug' => 'larger',
		],
	],
];
