<?php
/**
 * Guru.
 *
 * Onboarding config to load plugins and homepage content on theme activation.
 *
 * @package Guru
 * @author  Appfinite
 * @license GPL-2.0-or-later
 * @link    https://www.appfinite.com/
 */

$guru_shared_content = genesis_get_config( 'onboarding-shared' );

return [
	'starter_packs' => [
		'homepage' => [
			'title'       => __( 'Homepage Demo', 'guru' ),
			'description' => __( 'This is the Install Pack for the Homepage Demo Content.', 'guru' ),
			'thumbnail'   => get_stylesheet_directory_uri() . '/config/import/images/thumbnails/homepage.jpg',
			'demo_url'    => 'https://demo.appfinite.net/guru/',
			'config'      => [
				'dependencies'     => [
					'plugins' => $guru_shared_content['plugins'],
				],
				'content'          => array_merge(
					[
						'homepage' => [
							'post_title'     => 'Homepage',
							'post_content'   => require dirname( __FILE__ ) . '/import/content/homepage.php',
							'post_type'      => 'page',
							'post_status'    => 'publish',
							'comment_status' => 'closed',
							'ping_status'    => 'closed',
							'meta_input'     => [
								'_genesis_layout'     => 'full-width-content',
								'_genesis_hide_title' => true,
								'_genesis_hide_breadcrumbs' => true,
								'_genesis_hide_singular_image' => true,
							],
							'page_template'  => 'page-templates/blocks.php',
						],
					],
					$guru_shared_content['content']
				),
				'navigation_menus' => $guru_shared_content['navigation_menus'],
				'widgets'          => $guru_shared_content['widgets'],
			],
		],
	],
];
